{ First Example of program using the units
  wApplication0.pp  and  wWindow0.pp
  Minimal program
  --------------------------------------------}
program tEx001;

// To tell FreePascal that the application is a Graphical User Interface
// i.e. is running in windows, not in text mode.
{$APPTYPE GUI}

Uses wApplication0, wWindow0, wDebug0;

var
  oApp        : TApplication;
  poMyMainWin : PWindow;

Begin // MAIN ******
// Name under which the main window is registered. Spaces are not allowed
oApp.Init('Example001');

// Creation of the main window
new(poMyMainWin, Init('Title of the Example001 (Ex001.pp) Window'));

// The App.WindowClass can be modified here, if wanted. (Not usual)
oApp.Run;
oApp.Done;  // The main window object is disposed here.
End.

